SEC 公告研究
curl --request POST \
--url https://api.glasser.ai/v1/solutions/finance/sec_filings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'idempotency-key: <idempotency-key>' \
--data '
{
"ticker": "<string>",
"cik": "<string>",
"cusip": "<string>",
"name": "<string>",
"query": "<string>",
"form_types": [
"<string>"
],
"accession_number": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"limit": 50,
"offset": 5000,
"cursor": "<string>",
"filing_url": "<string>",
"url": "<string>",
"item": "<string>",
"source_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"year": 2046,
"quarter": 2,
"include_exhibits": true,
"event_types": [],
"year_from": 2046,
"year_to": 2046,
"executive_name": "<string>",
"max_charge_usd": "<string>",
"task_id": "<string>",
"metadata": {}
}
'import requests
url = "https://api.glasser.ai/v1/solutions/finance/sec_filings"
payload = {
"ticker": "<string>",
"cik": "<string>",
"cusip": "<string>",
"name": "<string>",
"query": "<string>",
"form_types": ["<string>"],
"accession_number": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"limit": 50,
"offset": 5000,
"cursor": "<string>",
"filing_url": "<string>",
"url": "<string>",
"item": "<string>",
"source_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"year": 2046,
"quarter": 2,
"include_exhibits": True,
"event_types": [],
"year_from": 2046,
"year_to": 2046,
"executive_name": "<string>",
"max_charge_usd": "<string>",
"task_id": "<string>",
"metadata": {}
}
headers = {
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'idempotency-key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
ticker: '<string>',
cik: '<string>',
cusip: '<string>',
name: '<string>',
query: '<string>',
form_types: ['<string>'],
accession_number: '<string>',
start_date: '<string>',
end_date: '<string>',
limit: 50,
offset: 5000,
cursor: '<string>',
filing_url: '<string>',
url: '<string>',
item: '<string>',
source_run_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
year: 2046,
quarter: 2,
include_exhibits: true,
event_types: [],
year_from: 2046,
year_to: 2046,
executive_name: '<string>',
max_charge_usd: '<string>',
task_id: '<string>',
metadata: {}
})
};
fetch('https://api.glasser.ai/v1/solutions/finance/sec_filings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.glasser.ai/v1/solutions/finance/sec_filings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ticker' => '<string>',
'cik' => '<string>',
'cusip' => '<string>',
'name' => '<string>',
'query' => '<string>',
'form_types' => [
'<string>'
],
'accession_number' => '<string>',
'start_date' => '<string>',
'end_date' => '<string>',
'limit' => 50,
'offset' => 5000,
'cursor' => '<string>',
'filing_url' => '<string>',
'url' => '<string>',
'item' => '<string>',
'source_run_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'year' => 2046,
'quarter' => 2,
'include_exhibits' => true,
'event_types' => [
],
'year_from' => 2046,
'year_to' => 2046,
'executive_name' => '<string>',
'max_charge_usd' => '<string>',
'task_id' => '<string>',
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"idempotency-key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.glasser.ai/v1/solutions/finance/sec_filings"
payload := strings.NewReader("{\n \"ticker\": \"<string>\",\n \"cik\": \"<string>\",\n \"cusip\": \"<string>\",\n \"name\": \"<string>\",\n \"query\": \"<string>\",\n \"form_types\": [\n \"<string>\"\n ],\n \"accession_number\": \"<string>\",\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"limit\": 50,\n \"offset\": 5000,\n \"cursor\": \"<string>\",\n \"filing_url\": \"<string>\",\n \"url\": \"<string>\",\n \"item\": \"<string>\",\n \"source_run_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"year\": 2046,\n \"quarter\": 2,\n \"include_exhibits\": true,\n \"event_types\": [],\n \"year_from\": 2046,\n \"year_to\": 2046,\n \"executive_name\": \"<string>\",\n \"max_charge_usd\": \"<string>\",\n \"task_id\": \"<string>\",\n \"metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("idempotency-key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.glasser.ai/v1/solutions/finance/sec_filings")
.header("idempotency-key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ticker\": \"<string>\",\n \"cik\": \"<string>\",\n \"cusip\": \"<string>\",\n \"name\": \"<string>\",\n \"query\": \"<string>\",\n \"form_types\": [\n \"<string>\"\n ],\n \"accession_number\": \"<string>\",\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"limit\": 50,\n \"offset\": 5000,\n \"cursor\": \"<string>\",\n \"filing_url\": \"<string>\",\n \"url\": \"<string>\",\n \"item\": \"<string>\",\n \"source_run_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"year\": 2046,\n \"quarter\": 2,\n \"include_exhibits\": true,\n \"event_types\": [],\n \"year_from\": 2046,\n \"year_to\": 2046,\n \"executive_name\": \"<string>\",\n \"max_charge_usd\": \"<string>\",\n \"task_id\": \"<string>\",\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.glasser.ai/v1/solutions/finance/sec_filings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["idempotency-key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ticker\": \"<string>\",\n \"cik\": \"<string>\",\n \"cusip\": \"<string>\",\n \"name\": \"<string>\",\n \"query\": \"<string>\",\n \"form_types\": [\n \"<string>\"\n ],\n \"accession_number\": \"<string>\",\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"limit\": 50,\n \"offset\": 5000,\n \"cursor\": \"<string>\",\n \"filing_url\": \"<string>\",\n \"url\": \"<string>\",\n \"item\": \"<string>\",\n \"source_run_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"year\": 2046,\n \"quarter\": 2,\n \"include_exhibits\": true,\n \"event_types\": [],\n \"year_from\": 2046,\n \"year_to\": 2046,\n \"executive_name\": \"<string>\",\n \"max_charge_usd\": \"<string>\",\n \"task_id\": \"<string>\",\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"run_url": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"endpoint_version": 123,
"status": "QUEUED",
"failure": {
"kind": "TIMED_OUT",
"message": "<string>"
},
"input": {},
"output": {
"items": [
{
"name": "<string>",
"ticker": "<string>",
"cik": "<string>",
"cusip": "<string>",
"exchange": "<string>",
"sector": "<string>",
"industry": "<string>",
"sic_code": "<string>",
"is_delisted": true,
"source": {
"run_id": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"provider_record_id": "<string>",
"url": "<string>"
}
}
],
"match_count": 123
},
"provider_response": {
"http_status": 349,
"error": null
},
"charge_usd": "<string>",
"charge_basis": {
"clause": "rule",
"quantity": 1
},
"stoppable": true,
"stop_requested_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"task_id": "<string>",
"metadata": {},
"action": "resolve",
"result_status": "success",
"error": {
"code": "<string>",
"message": "<string>"
},
"runs": [
{
"id": "<string>",
"run_url": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"endpoint_version": 123,
"status": "QUEUED",
"failure": {
"kind": "TIMED_OUT",
"message": "<string>"
},
"input": {
"omitted": true
},
"output": {
"omitted": true
},
"provider_response": {
"http_status": 349
},
"charge_usd": "<string>",
"charge_basis": {
"clause": "rule",
"quantity": 1
},
"stoppable": true,
"stop_requested_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"task_id": "<string>",
"metadata": {},
"response_file": {
"body_field": "output",
"state": "available",
"download_url": "<string>",
"link_expires_at": "2023-11-07T05:31:56Z",
"file_expires_at": "2023-11-07T05:31:56Z",
"bytes": 1,
"sha256": "<string>",
"content_type": "application/json"
}
}
],
"result_url": "<string>",
"response_file": {
"body_field": "output",
"state": "available",
"download_url": "<string>",
"link_expires_at": "2023-11-07T05:31:56Z",
"file_expires_at": "2023-11-07T05:31:56Z",
"bytes": 1,
"sha256": "<string>",
"content_type": "application/json"
},
"review_invitation": {
"run_id": "<string>",
"ratings": [
"exceeds_expectations"
],
"instruction": "<string>"
},
"request_charge": {
"charge_usd": "<string>",
"created_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"replayed_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"unknown_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}{
"id": "<string>",
"run_url": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"endpoint_version": 123,
"status": "QUEUED",
"failure": {
"kind": "TIMED_OUT",
"message": "<string>"
},
"input": {},
"output": {
"items": [
{
"name": "<string>",
"ticker": "<string>",
"cik": "<string>",
"cusip": "<string>",
"exchange": "<string>",
"sector": "<string>",
"industry": "<string>",
"sic_code": "<string>",
"is_delisted": true,
"source": {
"run_id": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"provider_record_id": "<string>",
"url": "<string>"
}
}
],
"match_count": 123
},
"provider_response": {
"http_status": 349,
"error": null
},
"charge_usd": "<string>",
"charge_basis": {
"clause": "rule",
"quantity": 1
},
"stoppable": true,
"stop_requested_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"task_id": "<string>",
"metadata": {},
"action": "resolve",
"result_status": "success",
"error": {
"code": "<string>",
"message": "<string>"
},
"runs": [
{
"id": "<string>",
"run_url": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"endpoint_version": 123,
"status": "QUEUED",
"failure": {
"kind": "TIMED_OUT",
"message": "<string>"
},
"input": {
"omitted": true
},
"output": {
"omitted": true
},
"provider_response": {
"http_status": 349
},
"charge_usd": "<string>",
"charge_basis": {
"clause": "rule",
"quantity": 1
},
"stoppable": true,
"stop_requested_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"task_id": "<string>",
"metadata": {},
"response_file": {
"body_field": "output",
"state": "available",
"download_url": "<string>",
"link_expires_at": "2023-11-07T05:31:56Z",
"file_expires_at": "2023-11-07T05:31:56Z",
"bytes": 1,
"sha256": "<string>",
"content_type": "application/json"
}
}
],
"result_url": "<string>",
"response_file": {
"body_field": "output",
"state": "available",
"download_url": "<string>",
"link_expires_at": "2023-11-07T05:31:56Z",
"file_expires_at": "2023-11-07T05:31:56Z",
"bytes": 1,
"sha256": "<string>",
"content_type": "application/json"
},
"review_invitation": {
"run_id": "<string>",
"ratings": [
"exceeds_expectations"
],
"instruction": "<string>"
},
"request_charge": {
"charge_usd": "<string>",
"created_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"replayed_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"unknown_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}{
"error": {
"code": "validation_failed",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "insufficient_balance",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "endpoint_not_permitted",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "not_found",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "idempotency_conflict",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "rate_limited",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "service_unavailable",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}Solutions
SEC 公告研究
按精确来源身份读取 SEC 公告、公司治理、发行和执法证据。
POST
/
v1
/
solutions
/
finance
/
sec_filings
SEC 公告研究
curl --request POST \
--url https://api.glasser.ai/v1/solutions/finance/sec_filings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'idempotency-key: <idempotency-key>' \
--data '
{
"ticker": "<string>",
"cik": "<string>",
"cusip": "<string>",
"name": "<string>",
"query": "<string>",
"form_types": [
"<string>"
],
"accession_number": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"limit": 50,
"offset": 5000,
"cursor": "<string>",
"filing_url": "<string>",
"url": "<string>",
"item": "<string>",
"source_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"year": 2046,
"quarter": 2,
"include_exhibits": true,
"event_types": [],
"year_from": 2046,
"year_to": 2046,
"executive_name": "<string>",
"max_charge_usd": "<string>",
"task_id": "<string>",
"metadata": {}
}
'import requests
url = "https://api.glasser.ai/v1/solutions/finance/sec_filings"
payload = {
"ticker": "<string>",
"cik": "<string>",
"cusip": "<string>",
"name": "<string>",
"query": "<string>",
"form_types": ["<string>"],
"accession_number": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"limit": 50,
"offset": 5000,
"cursor": "<string>",
"filing_url": "<string>",
"url": "<string>",
"item": "<string>",
"source_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"year": 2046,
"quarter": 2,
"include_exhibits": True,
"event_types": [],
"year_from": 2046,
"year_to": 2046,
"executive_name": "<string>",
"max_charge_usd": "<string>",
"task_id": "<string>",
"metadata": {}
}
headers = {
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'idempotency-key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
ticker: '<string>',
cik: '<string>',
cusip: '<string>',
name: '<string>',
query: '<string>',
form_types: ['<string>'],
accession_number: '<string>',
start_date: '<string>',
end_date: '<string>',
limit: 50,
offset: 5000,
cursor: '<string>',
filing_url: '<string>',
url: '<string>',
item: '<string>',
source_run_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
year: 2046,
quarter: 2,
include_exhibits: true,
event_types: [],
year_from: 2046,
year_to: 2046,
executive_name: '<string>',
max_charge_usd: '<string>',
task_id: '<string>',
metadata: {}
})
};
fetch('https://api.glasser.ai/v1/solutions/finance/sec_filings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.glasser.ai/v1/solutions/finance/sec_filings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ticker' => '<string>',
'cik' => '<string>',
'cusip' => '<string>',
'name' => '<string>',
'query' => '<string>',
'form_types' => [
'<string>'
],
'accession_number' => '<string>',
'start_date' => '<string>',
'end_date' => '<string>',
'limit' => 50,
'offset' => 5000,
'cursor' => '<string>',
'filing_url' => '<string>',
'url' => '<string>',
'item' => '<string>',
'source_run_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'year' => 2046,
'quarter' => 2,
'include_exhibits' => true,
'event_types' => [
],
'year_from' => 2046,
'year_to' => 2046,
'executive_name' => '<string>',
'max_charge_usd' => '<string>',
'task_id' => '<string>',
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"idempotency-key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.glasser.ai/v1/solutions/finance/sec_filings"
payload := strings.NewReader("{\n \"ticker\": \"<string>\",\n \"cik\": \"<string>\",\n \"cusip\": \"<string>\",\n \"name\": \"<string>\",\n \"query\": \"<string>\",\n \"form_types\": [\n \"<string>\"\n ],\n \"accession_number\": \"<string>\",\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"limit\": 50,\n \"offset\": 5000,\n \"cursor\": \"<string>\",\n \"filing_url\": \"<string>\",\n \"url\": \"<string>\",\n \"item\": \"<string>\",\n \"source_run_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"year\": 2046,\n \"quarter\": 2,\n \"include_exhibits\": true,\n \"event_types\": [],\n \"year_from\": 2046,\n \"year_to\": 2046,\n \"executive_name\": \"<string>\",\n \"max_charge_usd\": \"<string>\",\n \"task_id\": \"<string>\",\n \"metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("idempotency-key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.glasser.ai/v1/solutions/finance/sec_filings")
.header("idempotency-key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ticker\": \"<string>\",\n \"cik\": \"<string>\",\n \"cusip\": \"<string>\",\n \"name\": \"<string>\",\n \"query\": \"<string>\",\n \"form_types\": [\n \"<string>\"\n ],\n \"accession_number\": \"<string>\",\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"limit\": 50,\n \"offset\": 5000,\n \"cursor\": \"<string>\",\n \"filing_url\": \"<string>\",\n \"url\": \"<string>\",\n \"item\": \"<string>\",\n \"source_run_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"year\": 2046,\n \"quarter\": 2,\n \"include_exhibits\": true,\n \"event_types\": [],\n \"year_from\": 2046,\n \"year_to\": 2046,\n \"executive_name\": \"<string>\",\n \"max_charge_usd\": \"<string>\",\n \"task_id\": \"<string>\",\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.glasser.ai/v1/solutions/finance/sec_filings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["idempotency-key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ticker\": \"<string>\",\n \"cik\": \"<string>\",\n \"cusip\": \"<string>\",\n \"name\": \"<string>\",\n \"query\": \"<string>\",\n \"form_types\": [\n \"<string>\"\n ],\n \"accession_number\": \"<string>\",\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"limit\": 50,\n \"offset\": 5000,\n \"cursor\": \"<string>\",\n \"filing_url\": \"<string>\",\n \"url\": \"<string>\",\n \"item\": \"<string>\",\n \"source_run_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"year\": 2046,\n \"quarter\": 2,\n \"include_exhibits\": true,\n \"event_types\": [],\n \"year_from\": 2046,\n \"year_to\": 2046,\n \"executive_name\": \"<string>\",\n \"max_charge_usd\": \"<string>\",\n \"task_id\": \"<string>\",\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"run_url": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"endpoint_version": 123,
"status": "QUEUED",
"failure": {
"kind": "TIMED_OUT",
"message": "<string>"
},
"input": {},
"output": {
"items": [
{
"name": "<string>",
"ticker": "<string>",
"cik": "<string>",
"cusip": "<string>",
"exchange": "<string>",
"sector": "<string>",
"industry": "<string>",
"sic_code": "<string>",
"is_delisted": true,
"source": {
"run_id": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"provider_record_id": "<string>",
"url": "<string>"
}
}
],
"match_count": 123
},
"provider_response": {
"http_status": 349,
"error": null
},
"charge_usd": "<string>",
"charge_basis": {
"clause": "rule",
"quantity": 1
},
"stoppable": true,
"stop_requested_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"task_id": "<string>",
"metadata": {},
"action": "resolve",
"result_status": "success",
"error": {
"code": "<string>",
"message": "<string>"
},
"runs": [
{
"id": "<string>",
"run_url": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"endpoint_version": 123,
"status": "QUEUED",
"failure": {
"kind": "TIMED_OUT",
"message": "<string>"
},
"input": {
"omitted": true
},
"output": {
"omitted": true
},
"provider_response": {
"http_status": 349
},
"charge_usd": "<string>",
"charge_basis": {
"clause": "rule",
"quantity": 1
},
"stoppable": true,
"stop_requested_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"task_id": "<string>",
"metadata": {},
"response_file": {
"body_field": "output",
"state": "available",
"download_url": "<string>",
"link_expires_at": "2023-11-07T05:31:56Z",
"file_expires_at": "2023-11-07T05:31:56Z",
"bytes": 1,
"sha256": "<string>",
"content_type": "application/json"
}
}
],
"result_url": "<string>",
"response_file": {
"body_field": "output",
"state": "available",
"download_url": "<string>",
"link_expires_at": "2023-11-07T05:31:56Z",
"file_expires_at": "2023-11-07T05:31:56Z",
"bytes": 1,
"sha256": "<string>",
"content_type": "application/json"
},
"review_invitation": {
"run_id": "<string>",
"ratings": [
"exceeds_expectations"
],
"instruction": "<string>"
},
"request_charge": {
"charge_usd": "<string>",
"created_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"replayed_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"unknown_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}{
"id": "<string>",
"run_url": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"endpoint_version": 123,
"status": "QUEUED",
"failure": {
"kind": "TIMED_OUT",
"message": "<string>"
},
"input": {},
"output": {
"items": [
{
"name": "<string>",
"ticker": "<string>",
"cik": "<string>",
"cusip": "<string>",
"exchange": "<string>",
"sector": "<string>",
"industry": "<string>",
"sic_code": "<string>",
"is_delisted": true,
"source": {
"run_id": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"provider_record_id": "<string>",
"url": "<string>"
}
}
],
"match_count": 123
},
"provider_response": {
"http_status": 349,
"error": null
},
"charge_usd": "<string>",
"charge_basis": {
"clause": "rule",
"quantity": 1
},
"stoppable": true,
"stop_requested_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"task_id": "<string>",
"metadata": {},
"action": "resolve",
"result_status": "success",
"error": {
"code": "<string>",
"message": "<string>"
},
"runs": [
{
"id": "<string>",
"run_url": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"endpoint_version": 123,
"status": "QUEUED",
"failure": {
"kind": "TIMED_OUT",
"message": "<string>"
},
"input": {
"omitted": true
},
"output": {
"omitted": true
},
"provider_response": {
"http_status": 349
},
"charge_usd": "<string>",
"charge_basis": {
"clause": "rule",
"quantity": 1
},
"stoppable": true,
"stop_requested_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"task_id": "<string>",
"metadata": {},
"response_file": {
"body_field": "output",
"state": "available",
"download_url": "<string>",
"link_expires_at": "2023-11-07T05:31:56Z",
"file_expires_at": "2023-11-07T05:31:56Z",
"bytes": 1,
"sha256": "<string>",
"content_type": "application/json"
}
}
],
"result_url": "<string>",
"response_file": {
"body_field": "output",
"state": "available",
"download_url": "<string>",
"link_expires_at": "2023-11-07T05:31:56Z",
"file_expires_at": "2023-11-07T05:31:56Z",
"bytes": 1,
"sha256": "<string>",
"content_type": "application/json"
},
"review_invitation": {
"run_id": "<string>",
"ratings": [
"exceeds_expectations"
],
"instruction": "<string>"
},
"request_charge": {
"charge_usd": "<string>",
"created_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"replayed_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"unknown_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}{
"error": {
"code": "validation_failed",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "insufficient_balance",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "endpoint_not_permitted",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "not_found",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "idempotency_conflict",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "rate_limited",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "service_unavailable",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}从 11 个 action 中选择:resolve、search、section、document、events、compensation、board、audit_fees、ipo、private_placements、enforcement。受理、幂等、Key Policy 和费用沿用 Run 规则;Provider 原生数据仍在 Run 上。
章节备选须保留相同申报号及 Part/Item。filing-index 的 source_run_id 可核对来源身份。薪酬年度、申报日、接受时间和生效日期分别保留。币种及缺失值不推测;发行目标、已售金额、证券数量和净收益不能互相替代。
私募需 offering_type:form_d、form_c 或 reg_a;Reg A 支持 all、1-A、1-K、1-Z。执法需 record_type:actions、litigation、administrative 或 aaer。每次只读一个 Endpoint 和一页;总数或游标为 null 不证明已查全。
分别检查 result_status 和实际费用。较大归一输出通过完整 response_file 交付。读取 result_url 复用数据,不增加执行或 Charge。
请求头
请求体
application/json
响应
成功
归一的 SEC 证据保留精确公告/章节身份与来源 Run。缺失字段为 null;发行目标不等于已售金额,执法指控不等于处理结果。Provider 原生输出仍在 Run 上。结果读取免费,不恢复执行。